Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.address
Class NamedMailbox

    java.lang.Object
      org.apache.james.mime4j.field.address.Address
          org.apache.james.mime4j.field.address.Mailbox
              org.apache.james.mime4j.field.address.NamedMailbox

    public class NamedMailbox

extends Mailbox

A Mailbox that has a name/description.

Constructor Summary
`NamedMailbox(java.lang.String name, DomainList route, java.lang.String localPart, java.lang.String domain)`
`NamedMailbox(java.lang.String name, Mailbox baseMailbox)` Creates a named mailbox based on an unnamed mailbox.
`NamedMailbox(java.lang.String name, java.lang.String localPart, java.lang.String domain)`

Method Summary
`java.lang.String` | `getAddressString(boolean includeRoute)` Same features (or problems) as Mailbox.getAddressString(boolean), only more so.
`java.lang.String` | `getName()` Returns the name of the mailbox.

Methods inherited from class org.apache.james.mime4j.field.address.Mailbox
`doAddMailboxesTo, getAddressString, getDomain, getLocalPart, getRoute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedMailbox

    public NamedMailbox(java.lang.String name,
                        java.lang.String localPart,
                        java.lang.String domain)

See Also:
  `Mailbox.Mailbox(String, String)`

### NamedMailbox

    public NamedMailbox(java.lang.String name,
                        DomainList route,
                        java.lang.String localPart,
                        java.lang.String domain)

See Also:
  `Mailbox.Mailbox(DomainList, String, String)`

### NamedMailbox

    public NamedMailbox(java.lang.String name,
                        Mailbox baseMailbox)

  Creates a named mailbox based on an unnamed mailbox.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the mailbox.

### getAddressString

    public java.lang.String getAddressString(boolean includeRoute)

  Same features (or problems) as Mailbox.getAddressString(boolean), only more so.

  Overrides:
    `getAddressString` in class `Mailbox`
  Parameters:
    `includeRoute` - true if the route should be included if it exists.
  See Also:
    `Mailbox.getAddressString(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.